@echo off

setlocal

if EXIST "bin\start.cmd" goto CONT0
echo ERROR: you must run this script from the Sync4j Server home directory
goto END
:CONT0

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem JAVA_HOME, the path where you have Java 2 installed.
rem J2EE_HOME, the path where you have installed this package (EJB server).
rem

if not "%J2EE_HOME%" == "" goto CONT1
echo ERROR: Set J2EE_HOME before running this script.
goto END
:CONT1

if EXIST "%J2EE_HOME%\bin\catalina.bat" goto CONT2
echo ERROR: Set J2EE_HOME to the path of a valid JBoss installation.
goto END
:CONT2

if not "%JAVA_HOME%" == "" goto CONT3
echo ERROR: Set JAVA_HOME before running this script.
goto END
:CONT3

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT4
echo ERROR: Set JAVA_HOME to the path of a valid jdk.
goto END
:CONT4

if not EXIST "bin\emailgateway.cmd" goto CONT5
    call bin\emailgateway.cmd start
:CONT5



REM
REM Other settings
REM

set JAVA_OPTS=%JAVA_OPTS% -Djava.security.auth.login.config="%J2EE_HOME%/conf/serverlogin.config"
set JAVA_OPTS=%JAVA_OPTS% -Dsync4j.home="%~dp0.."
set JAVA_OPTS=%JAVA_OPTS% -Dfile.encoding=UTF-8
set JPDA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"
set JPDA_TRANSPORT=dt_socket
set JPDA_ADDRESS=8787

cd "%J2EE_HOME%"\bin

REM
REM Run Tomcat for normal use
REM
call catalina.bat start

REM
REM Run Tomcat for debug
REM
REM call catalina.bat jpda start

:END
endlocal
